Name:           libgsystem
Version:        2015.2
Release:        2%{?dist}
Summary:        GIO-based library with Unix/Linux specific API

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/LibGSystem
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgsystem/%{version}/libgsystem-%{version}.tar.xz

BuildRequires: git
# We always run autogen.sh
BuildRequires: autoconf automake libtool
# For docs
BuildRequires: gtk-doc
# Core requirements
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: libattr-devel
BuildRequires: libcap-devel
BuildRequires: gobject-introspection-devel

%description
LibGSystem is a GIO-based library targeted primarily
for use by operating system components.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       gobject-introspection-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -Sgit


%build
env NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%check
make check

%files
%doc README COPYING
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-*/*.typelib

%files devel
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-*/*.gir


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2015.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 10 2015 Colin Walters <walters@redhat.com> - 2015.2-1
- New upstream version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2015.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 25 2015 Colin Walters <walters@redhat.com> - 2015.1-2
- Add patch to fall back to copying if link() returns EPERM,
  to hopefully fix Bodhi calling rpm-ostree

* Thu Jan 08 2015 Colin Walters <walters@redhat.com> - 2015.1-1
- New upstream release

* Thu Dec 18 2014 Colin Walters <walters@redhat.com> - 2014.3-3
- Add check

* Thu Dec 18 2014 Colin Walters <walters@redhat.com> - 2014.3-2
- New upstream release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 2014.2-3
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 01 2014 Colin Walters <walters@verbum.org>
- New upstream version

* Wed Mar 12 2014 Colin Walters <walters@redhat.com> - 2014.1-2
- Move typelib into main package, where it should be

* Tue Feb 18 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 2014.1-1
- Initial packaging
